Subject: bug#1958: 23.0.60; org-mode does not honour shift-select-mode

From: Lennart Borgman <[email-masked]>
Date: Tue, 20 Jan 2009 19:00:33 +0100

On Tue, Jan 20, 2009 at 5:20 PM, Bastien <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> On Tue, Jan 20, 2009 at 2:40 PM, Chong Yidong <[email-masked]> wrote:
>>>
>>> I don't think consistency demands that S-arrow perform text selection in
>>> other major modes.  So, unless you wish to change it, we can leave this
>>> one alone.
>>
>> Once again then: I really prefer consistency. What do you mean with
>> "other major modes"? I really thought that S-arrow should perform
>> selection in all major modes since it is a very basic editing command.
>
> I'm all for consistency as well, but I don't think it implies that
> S-<arrow> should have exactly the same behavior in any major-mode,
> or in any editing context.
>
> Org-mode distinguishes between several contexts: tables, lists,
> properties, headline, etc.
>
> I think it's reasonable to expect S-<arrow> keys to behave like in
> any other modes outside of these specific contexts.  For now this is
> not the case, it returns an error like this:
>
>  "org-shiftcursor-error: This command is active in special context like
>  tables, headlines or timestamps"
>
> IMHO, getting rid of this error makes Org-mode consistent enough with
> other modes.

Is not that counter-intuitive? For me it would be fine to use
S-<arrow> for something else than selecting in a context where
selecting is not possible at all. But I wonder if there are any such
contexts in Emacs ...?